Subject: bug#32800: t/silent-custom fails for certain parent directory sequences

From: Frank Schaefer <[email-masked]>
Date: Fri, 21 Sep 2018 19:38:13 -0500

I just discovered that t/silent-custom can fail if any parent of the
build directory matches the "[012]\.h" regex.  Specifically, the 'grep
'[012]\.h' output && exit 1' command triggers a test failure.

(If you're wondering, one of my CI build-boxes just happened to kick
off a build in a '/var/tmp/.build.automake_1.16.1-0.hzA5PJ' tmpdir.)

Maybe refine this regex to " sub/[012]\.h"?